Dependency Upgrades absichern

Sebastian Bergmann | Die Heise-Konferenz zu PHP |

Jede Software hat Abhängigkeiten, beispielsweise Programmiersprache sowie Framework und Bibliotheken. Für diese Abhängigkeiten erscheinen regelmäßig neue Versionen mit Security Fixes, Bugfixes oder neuen Features. Nicht immer ist dabei eine neue Version vollständig kompatibel zu ihrer Vorgängerversion. Gut haben es da die Teams, die sich bei der Beantwortung der Frage, ob die neue Version einer Abhängigkeit problematisch ist oder nicht, auf ihre Testautomatisierung verlassen können. Dieser Vortrag zeigt Best Practices für das Absichern von Dependency Upgrades in Projekten mit hoher Testabdeckung ebenso wie Ansätze für Projekte ohne Testautomatisierung.

3 / 100
Als PDF speichern

Weitere Informationen und Tickets: https://php.bettercode.eu/

Über den Referenten

Sebastian Bergmann

Sebastian Bergmann setzt als Autor von PHPUnit Standards bei der Qualitätssicherung.